using Hotline.Share.Dtos.Snapshot;
using Hotline.ThirdAccountDomainServices.Interfaces;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Dependency;

namespace Hotline.WeChat;

public class TestService : IThirdIdentiyService, IScopeDependency
{
    public Task<ThirdPhoneOutDto> GetPhoneNumberAsync(ThirdTokenDto dto, CancellationToken token)
    {
        return Task.FromResult(new ThirdPhoneOutDto { PhoneNumber = dto.TelCode});
    }

    public Task<ThirdTokenOutDto> GetTokenAsync(ThirdTokenDto dto, CancellationToken token)
    {
        return Task.FromResult(new ThirdTokenOutDto { OpenId = dto.LoginCode, UnIonId = dto.LoginCode, SessionKey = dto.LoginCode});
    }
}
